<?

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");

date_default_timezone_set("America/Bogota");

$hora_hoy = date("H:i:s");
$sis_dia = date('d');
$sis_mes = date('m');
$sis_ano = date('Y');
//Mensaje = mysql_error();
$fecha_hoy = $sis_ano."-".$sis_mes."-".$sis_dia;

//Periodo para cerrar mes
if($sis_mes==1):
    $mes_periodo=12;
    $ano_periodo=$sis_ano-1;
else:
    $mes_periodo=$sis_mes-1;
    $ano_periodo=$sis_ano;
endif;

$nro=1;
$nro_grupos=1;

//Identifico el grupo

$totalRecibos=0;

//Consulta de las CTA activas
$sqlCTA = "SELECT * FROM cta WHERE modo=0 and activo=1";
$conCTA = $bdDepen->consulta($sqlCTA);

while($resCTA = $bdDepen->fetch_assoc($conCTA)):
    
    $cant_usu_act = 0;//Reiniciamos el contador
    $id_cta=$resCTA['id_cta'];
    $id_fk_cliente_fact=$resCTA['id_fk_cliente_fact'];

    //Identifico si hay recibos ingresados en el sistema
    $sqlREC = "SELECT * FROM recibos WHERE id_cta_fk_re='$id_cta';";
    $conREC = $bdDepen->consulta($sqlREC);
    $cant_rec = $bdDepen->num_rows($conREC);

    $sqlRET = "SELECT * FROM retiro WHERE id_cta_fk_rt='$id_cta';";
    $conRET = $bdDepen->consulta($sqlRET);
    $cant_ret = $bdDepen->num_rows($conRET);

    if($cant_rec==0 and $cant_ret==0):

        $sqlHMES = "SELECT * FROM h_mes WHERE id_cta_fk_hm='$id_cta' and mes_periodo=$mes_periodo and ano_periodo=$ano_periodo;";
        $conHMES = $bdDepen->consulta($sqlHMES);
        $cant_hmes = $bdDepen->num_rows($conHMES);

        if($cant_hmes==0):
            
            echo "<br>".$nro++;
            echo "<br>".$sqlREC;
            echo "<br>".$sqlRET;
            echo "<br>".$sqlHMES;

            $sql_maxHMES="SELECT MAX(id_registro) as nro_id FROM h_mes WHERE id_cta_fk_hm=$id_cta";
            $con_maxHMES = $bdDepen->consulta($sql_maxHMES);
            $res_maxHMES = $bdDepen->fetch_assoc($con_maxHMES);
            $id_registro = $res_maxHMES['nro_id'];

            if($id_registro==''):
                $id_registro=1;
            else:
                $id_registro++;
            endif;

            echo "<br>".$sqlNuevoMes = "INSERT INTO h_mes(id_registro,id_cta_fk_hm,tipo_registro,dia,mes,ano,mes_periodo,ano_periodo,act,us,automatico) values ('$id_registro','$id_cta','','$sis_dia','$sis_mes','$sis_ano','$mes_periodo','$ano_periodo','1','0','1');";
            $insNuevoMes = $bdDepen -> consulta($sqlNuevoMes);
            echo "<br><br>";

        endif;

    endif;

    //$sqlINS = "INSERT INTO usuarios_activos(cant_usu_act, id_cta_usu_act, cliente_fact_usu_act, fecha_usu_act) VALUES ('$cant_usu_act', '$id_cta', '$id_fk_cliente_fact', '$fecha_hoy')";
    //$resINS = $bdFact->consulta($sqlINS);
           
    
      
endwhile;






?>